> For the complete documentation index, see [llms.txt](https://gitbook.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://gitbook.com/docs/developers/gitbook-api/api-reference/docs-sites/site-mcp-servers.md).

# Site MCP servers

Configure external MCP servers used by your site.

Manage Model Context Protocol (Mcp) servers used by your site.

## The SiteMcpServer object

```json
{"openapi":"3.1.0","info":{"title":"GitBook API","version":"0.0.1-beta"},"components":{"schemas":{"SiteMcpServer":{"type":"object","properties":{"object":{"type":"string","enum":["site-mcp-server"]},"id":{"type":"string","description":"Unique identifier for the MCP server"},"name":{"$ref":"#/components/schemas/SiteMcpServerName"},"url":{"$ref":"#/components/schemas/URL"},"transport":{"$ref":"#/components/schemas/SiteMcpServerTransport"},"headers":{"$ref":"#/components/schemas/SiteMcpServerHeaders"},"condition":{"description":"Conditional expression used to evaluate whether the MCP server should be available to the site's visitor.","$ref":"#/components/schemas/Expression"},"urls":{"type":"object","description":"URLs associated with the object","properties":{"location":{"type":"string","description":"URL of the MCP server in the API","format":"uri"}},"required":["location"]}},"required":["object","id","name","url","transport","headers","urls"]},"SiteMcpServerName":{"type":"string","description":"Name of the MCP server","minLength":1,"maxLength":100},"URL":{"type":"string","format":"uri","maxLength":2048},"SiteMcpServerTransport":{"type":"string","description":"Transport protocol used to connect to the MCP server","enum":["sse","http"],"default":"sse"},"SiteMcpServerHeaders":{"type":"object","additionalProperties":{"type":"string","minLength":1,"maxLength":512},"description":"HTTP headers sent with requests to this server"},"Expression":{"type":"string","description":"Expression to evaluate","minLength":0,"maxLength":1024}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://gitbook.com/docs/developers/gitbook-api/api-reference/docs-sites/site-mcp-servers.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
